Bug 131975 - [patch] - update misc/gnuls to version 7.1
Summary: [patch] - update misc/gnuls to version 7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-22 15:30 UTC by Cristiano Rolim Pereira
Modified: 2009-12-25 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.68 KB, patch)
2009-02-22 15:30 UTC, Cristiano Rolim Pereira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cristiano Rolim Pereira 2009-02-22 15:30:01 UTC
The attached patch updates misc/gnuls to version 7.1 .

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-02-22 15:30:14 UTC
Maintainer of misc/gnuls,

Please note that PR ports/131975 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/131975

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-02-22 15:30:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Brian Clapper 2009-02-22 22:53:28 UTC
On 2/22/09 10:30 AM, Edwin Groothuis wrote:
> Maintainer of misc/gnuls,
> 
> Please note that PR ports/131975 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/131975

Approved.
-- 
-Brian

Brian Clapper, http://www.clapper.org/bmc/
I
Comment 4 Rong-En Fan freebsd_committer 2009-02-23 01:25:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 5 Rong-En Fan freebsd_committer 2009-02-23 01:25:45 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Rong-En Fan freebsd_committer 2009-02-23 03:39:05 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2009-02-23 03:39:11 UTC
rafan       2009-02-23 03:39:01 UTC

  FreeBSD ports repository

  Modified files:
    misc/gnuls           Makefile distinfo 
    misc/gnuls/files     extra-patch-stty.c 
  Log:
  - Update to 7.1
  
  PR:             ports/131975
  Submitted by:   Cristiano Rolim Pereira <cristianorolim at hotmail.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.24      +1 -1      ports/misc/gnuls/Makefile
  1.10      +3 -3      ports/misc/gnuls/distinfo
  1.2       +4 -4      ports/misc/gnuls/files/extra-patch-stty.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Cristiano Rolim Pereira 2009-12-25 15:56:12 UTC
Good point. The patch is not necessary.

--
Cristiano Rolim Pereira


diff -ruN ../gnuls.orig/Makefile ./Makefile
--- ../gnuls.orig/Makefile	2009-12-05 21:26:48.000000000 -0200
+++ ./Makefile	2009-12-05 21:27:20.000000000 -0200
@@ -6,7 +6,7 @@
 #

 PORTNAME=	gnuls
-PORTVERSION=	7.5
+PORTVERSION=	8.1
 CATEGORIES=	misc
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	coreutils
diff -ruN ../gnuls.orig/distinfo ./distinfo
--- ../gnuls.orig/distinfo	2009-12-05 21:26:48.000000000 -0200
+++ ./distinfo	2009-12-05 21:28:12.000000000 -0200
@@ -1,3 +1,3 @@
-MD5 (coreutils-7.5.tar.gz) = 775351410b7d6879767c3e4563354dc6
-SHA256 (coreutils-7.5.tar.gz) = 
341f49b9434f83ca9a8b6c2266813092ef08a5fca25f15dcc1a0ba82fc18c3c1
-SIZE (coreutils-7.5.tar.gz) = 9956013
+MD5 (coreutils-8.1.tar.gz) = 4cde9f31604f4da188ed302ca55545ea
+SHA256 (coreutils-8.1.tar.gz) = 
5ea1adda4df2ad61e0184f5c7b08a2ad13db1a581d5da19610dd3c4718c1c8b0
+SIZE (coreutils-8.1.tar.gz) = 10379352
diff -ruN ../gnuls.orig/files/extra-patch-stty.c ./files/extra-patch-stty.c
--- ../gnuls.orig/files/extra-patch-stty.c	2009-12-05 
21:26:48.000000000 -0200
+++ ./files/extra-patch-stty.c	1969-12-31 21:00:00.000000000 -0300
@@ -1,20 +0,0 @@
---- src/stty.c.orig	2009-02-22 12:02:55.000000000 -0300
-+++ src/stty.c	2009-02-22 12:04:32.000000000 -0300
-@@ -280,8 +280,6 @@
- #endif
- #ifdef TABDLY
-   {"tab3", output, SANE_UNSET, TAB3, TABDLY},
--  {"tab2", output, SANE_UNSET, TAB2, TABDLY},
--  {"tab1", output, SANE_UNSET, TAB1, TABDLY},
-   {"tab0", output, SANE_SET, TAB0, TABDLY},
- #else
- # ifdef OXTABS
-@@ -627,7 +625,7 @@
-       fputs (_("\
-  * [-]onocr      do not print carriage returns in the first column\n\
-    [-]opost      postprocess output\n\
-- * tabN          horizontal tab delay style, N in [0..3]\n\
-+ * tabN          horizontal tab delay style, N in [0,3]\n\
-  * tabs          same as tab0\n\
-  * -tabs         same as tab3\n\
-  * vtN           vertical tab delay style, N in [0..1]\n\